Name:           quvi
Version:        0.2.5 
Release:        1%{?dist}
Summary:        Command line tool for parsing video download links

Group:          Applications/Internet
License:        GPLv3+
URL:            http://code.google.com/p/quvi/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libcurl-devel pcre-devel lua-devel doxygen

%description
quvi is a command line tool for parsing video download links.
It supports Youtube and other similar video websites.
libquvi is a library for parsing video download links with C API.
It is written in C and intended to be a cross-platform library.


%package devel
Summary: Files needed for building applications with libquvi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files needed for building applications with libquvi


%prep
%setup -q

%build
%configure --enable-static=no --enable-smut --without-doc
# To remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}
make dox
# removed as it's useless and generates a perl dependancy warning for rpmlint
rm doc/html/installdox

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f ${RPM_BUILD_ROOT}%{_libdir}/lib%{name}.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/Howto* ChangeLog COPYING README 
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}.1.*
%{_datadir}/%{name}/

%files devel
%defattr(-,root,root,-)
%doc examples/simple.c doc/html/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_includedir}/%{name}/


%changelog
* Sat Oct  2 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.5-1
- Update to 0.2.5

* Fri Sep 10 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.4-1
- Update to 0.2.4

* Sun Sep  5 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.3-1
- Update to 0.2.3

* Wed Aug 25 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.2-1
- Update to 0.2.2

* Fri May  7 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.2.0-1
- Update to 0.2.0

* Mon Apr  5 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.4-1
- Update to 0.1.4

* Fri Apr  2 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.3-3
- Removed redundant option for post and postun
- Append slashes to directories in files section
- Add blanks lines between changelog revisions

* Thu Apr  1 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.3-2
- License fix
- Merged libquvi and quvi packages

* Tue Mar 30 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.3-1
- Initial build
